Skip to content
No description, website, or topics provided.
Branch: master
Clone or download
Latest commit 5cd1cd6 Aug 27, 2018
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.google Auto-update Aug 27, 2018
Application Auto-update Aug 27, 2018
gradle/wrapper Auto-update Aug 27, 2018
screenshots Auto-update Aug 27, 2018
.gitignore
CONTRIBUTING.md Auto-update Aug 27, 2018
LICENSE
README.md Auto-update Aug 27, 2018
build.gradle
gradle.properties Auto-update Aug 27, 2018
gradlew
gradlew.bat Auto-update Aug 27, 2018
settings.gradle

README.md

Android WifiRttScan Sample

Sample demonstrates best practices for using WifiRTT APIs in Android. Also, this is a a useful application for testing Wifi-RTT enabled phones and access points and validating the estimated distance is close to the actual distance between them.

Introduction

Steps for trying out the sample:

  • Compile and install the mobile app onto your mobile device (for mobile scenario).

This sample demonstrates best practices for using the WifiRtt APIs in Android. The main activity lists all access points that are WifiRtt enabled using the WifiManager. By clicking on one of the access points, another activity will launch and initiate RangingRequest via the WifiRttManager. The activity will display many of the details returned from the access point including the distance between the access point and the phone.

Pre-requisites

  • Android SDK 28
  • Android Build Tools v27.0.3
  • Android Support Repository

Screenshots

Screenshot Screenshot Screenshot

Getting Started

This sample uses the Gradle build system. To build this project, use the "gradlew build" command or use "Import Project" in Android Studio.

Support

If you've found an error in this sample, please file an issue: https://github.com/googlesamples/android-WifiRttScan

Patches are encouraged, and may be submitted by forking this project and submitting a pull request through GitHub. Please see CONTRIBUTING.md for more details.

License

Licensed under an Apache 2.0 license. See LICENSE file for details.

You can’t perform that action at this time.